Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class DefaultCellEditor.EditorDelegate

    java.lang.Object
      |
      +--javax.swing.DefaultCellEditor.EditorDelegate

protected class DefaultCellEditor.EditorDelegate
extends java.lang.Object
implements java.awt.event.ActionListener, java.awt.event.ItemListener, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `value`

Constructor Summary
`protected` | `DefaultCellEditor.EditorDelegate()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `cancelCellEditing()`
`java.lang.Object` | `getCellEditorValue()`
`boolean` | `isCellEditable(java.util.EventObject anEvent)`
`void` | `itemStateChanged(java.awt.event.ItemEvent e)`
`void` | `setValue(java.lang.Object x)`
`boolean` | `startCellEditing(java.util.EventObject anEvent)`
`boolean` | `stopCellEditing()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected java.lang.Object value

Constructor Detail

### DefaultCellEditor.EditorDelegate

    protected DefaultCellEditor.EditorDelegate()

Method Detail

### getCellEditorValue

    public java.lang.Object getCellEditorValue()

### setValue

    public void setValue(java.lang.Object x)

### isCellEditable

    public boolean isCellEditable(java.util.EventObject anEvent)

### startCellEditing

    public boolean startCellEditing(java.util.EventObject anEvent)

### stopCellEditing

    public boolean stopCellEditing()

### cancelCellEditing

    public void cancelCellEditing()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    actionPerformed in interface java.awt.event.ActionListener

### itemStateChanged

    public void itemStateChanged(java.awt.event.ItemEvent e)

  Specified by:
    itemStateChanged in interface java.awt.event.ItemListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.